ampxi.h File Reference

AMPXI service. More...

Go to the source code of this file.

## Functions

Result | ampxiInit (Handle servhandle)
| Initializes AMPXI. More...
void | ampxiExit (void)
| Exits AMPXI.
Result | AMPXI_WriteTWLSavedata (u64 titleid, u8 *buffer, u32 size, u32 image_filepos, u8 section_type, u8 operation)
| Writes a TWL save-file to NAND. More...
Result | AMPXI_InstallTitlesFinish (FS_MediaType mediaType, u8 db, u32 titlecount, u64 *tidlist)
| Finalizes title installation. More...

## Detailed Description

AMPXI service.

This is normally not accessible to userland apps. https://3dbrew.org/wiki/Application_Manager_Services_PXI

## Function Documentation

## AMPXI_InstallTitlesFinish()

Result AMPXI_InstallTitlesFinish | ( | FS_MediaType | mediaType,
|  | u8 | db,
|  | u32 | titlecount,
|  | u64 * | tidlist
| ) |  |

Finalizes title installation.

https://3dbrew.org/wiki/AMPXI:InstallTitlesFinish

Parameters

  mediaType | Mediatype of the titles to finalize.
  db | Which title database to use.
  size | Size of the savedata buffer.
  titlecount | Total titles.
  tidlist | List of titleIDs.

## AMPXI_WriteTWLSavedata()

Result AMPXI_WriteTWLSavedata | ( | u64 | titleid,
|  | u8 * | buffer,
|  | u32 | size,
|  | u32 | image_filepos,
|  | u8 | section_type,
|  | u8 | operation
| ) |  |

Writes a TWL save-file to NAND.

https://www.3dbrew.org/wiki/AMPXI:WriteTWLSavedata

Parameters

  titleid | ID of the TWL title.
  buffer | Savedata buffer ptr.
  size | Size of the savedata buffer.
  image_filepos | Filepos to use for writing the data to the NAND savedata file.
  section_type | https://www.3dbrew.org/wiki/AMPXI:WriteTWLSavedata
  operation | https://3dbrew.org/wiki/AM:ImportDSiWare

## ampxiInit()

Result ampxiInit | ( | Handle | servhandle | ) |

Initializes AMPXI.

Parameters

  servhandle | Optional service session handle to use for AMPXI, if zero srvGetServiceHandle() will be used.